Register Omnichannel Contacts
    • Dark
      Light
    • PDF

    Register Omnichannel Contacts

    • Dark
      Light
    • PDF

    Article summary

    Post
    /api/v1/omnichannel/contacts

    Register a new omnichannel contact. Permission required: create-livechat-contact

    Changelog

    VersionDescription
    6.1.0Added
    Header parameters
    X-Auth-Token
    stringRequired

    The authToken of the authenticated user.

    ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
    X-User-Id
    stringRequired

    The userId of the authenticated user.

    ExamplerbAXPnMktTFbNpwtJ
    Body parameters
    Example 1
    {
      "name": "John",
      "phones": [
        "+123456789"
      ],
      "emails": [
        "[email protected]"
      ],
      "customFileds": {},
      "contactManager": "67dfghjkjhgfdce31dd9bdae"
    }
    Example 2
    {
      "name": "John",
      "phones": [
        "+123456789"
      ],
      "emails": [
        "[email protected]"
      ]
    }
    Expand All
    object
    name
    string Required

    The contact's name.

    phones
    Array of string Required

    An array of the contact's phone number(s).

    string
    emails
    Array of string Required

    An array of the contact's email address(es).

    string
    customFields
    object

    The custom fields.

    contactManager
    string

    The contact manager's ID.

    Responses
    200

    OK

    Example 1
    {
      "contactId": "674eeb4343725ce31dd9bdae",
      "success": true
    }
    object
    contactId
    string
    success
    boolean
    400

    Bad Request

    Example 1
    {
      "success": false,
      "error": "must have required property 'emails' [invalid-params]",
      "errorType": "invalid-params"
    }
    Example 2
    {
      "success": false,
      "error": "error-contact-manager-not-found"
    }
    object
    success
    boolean
    error
    string
    errorType
    string
    401

    Unauthorized

    Authorization Error
    {
      "status": "error",
      "message": "You must be logged in to do this."
    }
    object
    status
    string
    message
    string
    403

    Forbidden

    Example 1
    {
      "success": false,
      "error": "User does not have the permissions required for this action [error-unauthorized]"
    }
    Example 2
    {
      "success": false,
      "error": "unauthorized"
    }
    object
    success
    boolean
    error
    string

    Was this article helpful?

    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.